Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

In Synaptic I locked skype to version 2.2.0.35 and the package manager is correctly ignoring newer version (it doesn't select skype upgrade).

On the contrary, apt-get upgrade will propose the upgrade.

I know I could lock the package with echo "skype hold" | sudo dpkg --set-selections, but I'd like to have Synaptic changes being reflected in apt-get

share|improve this question
    
mat be apt-get doesn't have this option ? I am not expert but it seems apt-get and dpkg are 2 different commands –  Suhaib Feb 8 '13 at 20:46

2 Answers 2

up vote 0 down vote accepted

Finally turned into a whish in Debian: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=692017

share|improve this answer

Synaptic has it's own configuration file, separate from dpgk's so this will be a manual process. However, here are some commands that should make things easier.

To put the pinned Synaptic packages on hold:

sed -n '/Package:/h;/Pin:/{g;s/\(Package: \)//;s/.*/& hold/p}' < /var/lib/synaptic/preferences |  sudo dpkg --set-selections

If you want to change the held packages back to install:

dpkg --get-selections |sed -n '/hold/H;s/hold/install/p'| sudo dpkg --set-selections
share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.